Skip to main content
PATCH
/
api
/
aigateway
/
v1
/
endpoints
/
{endpointName}
/
permissions
Update permissions for a endpoint by name
curl --request PATCH \
  --url https://api.example.com/api/aigateway/v1/endpoints/{endpointName}/permissions \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "isEveryoneAllowed": true,
  "userIds": [
    "<string>"
  ]
}
'
{
  "isEveryoneAllowed": true,
  "userIds": [
    "<string>"
  ]
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

endpointName
string
required

Name of the endpoint to update permissions for

Body

application/json

Updated endpoint permissions

isEveryoneAllowed
boolean

If the endpoint is accessible by everyone

userIds
string[]

User IDs that can access this endpoint

Response

Success

isEveryoneAllowed
boolean
required

If the endpoint is accessible by everyone

userIds
string[]
required

User IDs that can access this endpoint